********************************************************************
*** Replication materials for Hollyer, Rosendorff and Vreeland 2011
***
*** Created: 9-5-19
*** Modified:
***
********************************************************************





clear
clear mata
clear matrix
set mem 500m

use "Data\Hollyer, Rosendorff and Vreeland 2011 -- Data.dta", clear

gen fraction_reported_tm1 = L.fraction_reported

*** Generate the TLSL based on all states
tempvar numobs fraction_reported_tm1 totent
bys year: egen `numobs' = count(wdinum)
bys year: egen `totent' = total(fraction_reported_tm1)
gen tlsl = (`totent' - fraction_reported_tm1) / (`numobs' - 1)

*** Generate the TLSL based on regions
tempvar numobs_r totent_r
bys year aclp_region: egen `numobs_r' = count(wdinum)
bys year aclp_region: egen `totent_r' = total(fraction_reported_tm1)
gen tlsl_region = (`totent_r' - fraction_reported_tm1) / (`numobs_r' - 1)
recode tlsl_region (0=.)

*********************************************************************
* Replication of Model 6 (Table 3, page 1201)
*********************************************************************
xtreg fraction_reported polity2 rgdpch under_imf time time2 time3, fe robust

* Model 1: Replication + TLSL
xtreg fraction_reported tlsl polity2 rgdpch under_imf time time2 time3, fe robust

* Model 2: Replication + TLSL - cubic polynomials
xtreg fraction_reported tlsl polity2 rgdpch under_imf, fe robust

* Model 4 Replication + TLSL - wealth
xtreg fraction_reported tlsl polity2 under_imf time time2 time3, fe robust
