*******************************************************************
*** Replication do file for Lipsmeyer and Zhu (2011), from the Drolc, Gandrud and Williams PSJ project.
***
*** Created: 9-5-19
*** Modified:
***
*******************************************************************

* Open the data
use "Data\Lipsmeyer and Zhu 2011 -- Data.dta", clear

gen i_entitlement_tm1 = L.i_entitlement
	
*** Generate a naive version of the TLSL
tempvar numobs i_entitlement_tm1 totent
bys year: egen `numobs' = count(state)
bys year: egen `totent' = total(i_entitlement_tm1)
gen tlsl = (`totent' - i_entitlement_tm1) / (`numobs' - 1)

sort state year

*** Replication of their model (Table 1, page 654)
xi: xtpcse i_entitlement L.i_entitlement D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state, corr(ar1) pairwise

*** Replication + TLSL
xi: xtpcse i_entitlement L.i_entitlement tlsl D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	, corr(ar1) pairwise

*** Replication + TLSL - phi
xi: xtpcse i_entitlement tlsl D.netimmrate D.laborcost_new /*
*/ Dimmrate_Dlabcost Dimmrate_Lsocial Dimmrate_Lleft /*
*/ L.i_socialcorp3 L.leftgov D.unemp D.trade D.gdp D.fdi i.state /*
*/	, corr(ar1) pairwise
